org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log

## Class LockLog

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockTracker<PageLockLogSnapshot>
  - - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log.LockLog

All Implemented Interfaces:
  AutoCloseable, DumpSupported<PageLockLogSnapshot>, PageLockListener

    public class LockLog
    extends PageLockTracker<PageLockLogSnapshot>

Abstract page lock log class.

### Field Summary

Fields
`protected int` `headIdx`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockTracker

`BEFORE_READ_LOCK, BEFORE_WRITE_LOCK, heldLockCnt, LOCK_IDX_MASK, LOCK_OP_MASK, name, nextOp, nextOpPageId, nextOpStructureId, OP_OFFSET, pages, READ_LOCK, READ_UNLOCK, WRITE_LOCK, WRITE_UNLOCK`

### Constructor Summary

Constructors
Constructor and Description
`LockLog(String name, PageMetaInfoStore pageMetaInfoStore, MemoryCalculator memCalc)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onReadLock0(int structureId, long pageId, long page, long pageAddr)`
`void` `onReadUnlock0(int structureId, long pageId, long page, long pageAddr)`
`void` `onWriteLock0(int structureId, long pageId, long page, long pageAddr)`
`void` `onWriteUnlock0(int structureId, long pageId, long page, long pageAddr)`
`PageLockLogSnapshot` `snapshot()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.PageLockTracker

`acquireSafePoint, argsToString, close, dump, heldLocksNumber, invalid, invalidContext, isInvalid, onBeforeReadLock, onBeforeReadLock0, onBeforeWriteLock, onBeforeWriteLock0, onReadLock, onReadUnlock, onWriteLock, onWriteUnlock, operationsCounter, pageIdToString, releaseSafePoint, validateOperation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### headIdx

    protected int headIdx

### Constructor Detail

#### LockLog

    public LockLog(String name,
                   PageMetaInfoStore pageMetaInfoStore,
                   MemoryCalculator memCalc)

Constructor.

Parameters:
  `name` - Page lock log name.
  `pageMetaInfoStore` - Object storing page meta info.

### Method Detail

#### onWriteLock0

    public void onWriteLock0(int structureId,
                             long pageId,
                             long page,
                             long pageAddr)

Specified by:
  `onWriteLock0` in class `PageLockTracker<PageLockLogSnapshot>`

#### onWriteUnlock0

    public void onWriteUnlock0(int structureId,
                               long pageId,
                               long page,
                               long pageAddr)

Specified by:
  `onWriteUnlock0` in class `PageLockTracker<PageLockLogSnapshot>`

#### onReadLock0

    public void onReadLock0(int structureId,
                            long pageId,
                            long page,
                            long pageAddr)

Specified by:
  `onReadLock0` in class `PageLockTracker<PageLockLogSnapshot>`

#### onReadUnlock0

    public void onReadUnlock0(int structureId,
                              long pageId,
                              long page,
                              long pageAddr)

Specified by:
  `onReadUnlock0` in class `PageLockTracker<PageLockLogSnapshot>`

#### snapshot

    public PageLockLogSnapshot snapshot()

Specified by:
  `snapshot` in class `PageLockTracker<PageLockLogSnapshot>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022